# $Revision: 1.10 $, $Date: 2003/11/08 09:06:55 $
Summary:	chmlib - library designed for accessing MS ITSS files
Summary(pl):	chmlib - biblioteka pozwalajca na dostp do plikw MS ITSS
Name:		chmlib
Version:	0.31
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://66.93.236.84/~jedwin/projects/chmlib/%{name}-%{version}.tbz
Patch0:		%{name}-sparcppc.patch
# Source0-md5:	c6c9e1658f43715456e00a4893d496ed
URL:		http://66.93.236.84/~jedwin/projects/chmlib/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chmlib is a small library designed for accessing MS ITSS files. The
ITSS file format is used for Microsoft Html Help files (.chm), which
have been the predominant medium for software documentation from
Microsoft during the past several years, having superceded the
previously used .hlp file format.

%description -l pl
chmlib to niewielka biblioteka przeznaczona do odczytu plikw MS ITSS.
Format ITSS jest uywany w plikach Microsoft Html Help (.chm), ktre
stay si dominujcym medium dla elektronicznej dokumentacji
udostpnianej przez Microsoft w ostatnim czasie, zastpujc poprzednio
uywane pliki .hlp.

%package devel
Summary:	chmlib header files
Summary(pl):	Pliki nagwkowe chmlib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files needed for building programs that use chmlib.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia programw z uyciem chmlib.

%package static
Summary:	chmlib static library
Summary(pl):	Biblioteka statyczna chmlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of chmlib.

%description static -l pl
Statyczna wersja chmlib.

%prep
%setup -q
%patch0

%build
%{__make} all examples \
	CFLAGS="%{rpmcflags} -DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64 -L.libs" \
	LDFLAGS="%{rpmldflags} -lpthread" \
	CC="%{__cc}" LD="%{__cc}" \
	INSTALLPREFIX="%{_prefix}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir}}

%{__make} install \
	INSTALLPREFIX=$RPM_BUILD_ROOT%{_prefix}

install *_chmLib chm_http $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chmlib.spec,v $
Revision 1.10  2003/11/08 09:06:55  undefine
- add support sparc/ppc machines
- release 2

Revision 1.9  2003/08/23 21:31:34  gotar
- BR: libtool

Revision 1.8  2003/08/06 16:46:15  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/07/12 19:00:38  qboosh
- up to 0.31

Revision 1.6  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/10 12:36:00  marcus
- use new %%doc

Revision 1.1  2002/04/14 19:52:48  qboosh
- new
